"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const isWin = process.platform === 'win32';
/**
 * resolve src from dest
 * @refer https://github.com/zkochan/symlink-dir/blob/master/src/index.ts#L18
 */
function resolveSrc(src, dest) {
    return isWin ? `${src}\\` : path_1.default.relative(path_1.default.dirname(dest), src);
}
exports.default = (src, dest) => {
    const destDir = path_1.default.dirname(dest);
    const resolvedSrc = resolveSrc(src, dest);
    // see also: https://github.com/zkochan/symlink-dir/blob/master/src/index.ts#L14
    const symlinkType = isWin ? 'junction' : 'dir';
    // create directory first if node_modules/@group not exists
    if (!fs_1.default.existsSync(destDir)) {
        fs_1.default.mkdirSync(destDir, { recursive: true });
    }
    // create src symlink relative dest
    fs_1.default.symlinkSync(resolvedSrc, dest, symlinkType);
};
